## Activate Webhook Destination

### cURL

```
curl --request PUT \
  --url https://api.m3ter.com/organizations/{orgId}/integrationdestinations/webhooks/{id}/active \
  --header 'Authorization: Bearer <token>'
```

### Python

```
import requests

url = "https://api.m3ter.com/organizations/{orgId}/integrationdestinations/webhooks/{id}/active"

headers = {"Authorization": "Bearer <token>"}

response = requests.put(url, headers=headers)

print(response.text)
```

### JavaScript (Fetch)

```
const options = {method: 'PUT', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.m3ter.com/organizations/{orgId}/integrationdestinations/webhooks/{id}/active', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```


```

### Example Responses

#### Successful Response (200)
```
{
  "id": "<string>",
  "version": 123,
  "dtCreated": "2023-11-07T05:31:56Z",
  "dtLastModified": "2023-11-07T05:31:56Z",
  "createdBy": "<string>",
  "lastModifiedBy": "<string>",
  "name": "<string>",
  "description": "<string>",
  "code": "<string>",
  "active": true,
  "url": "<string>",
  "credentials": {
    "id": "<string>",
    "type": "<string>",
    "destination": "<string>",
    "version": 123,
    "dtCreated": "2023-11-07T05:31:56Z",
    "dtLastModified": "2023-11-07T05:31:56Z",
    "createdBy": "<string>",
    "lastModifiedBy": "<string>",
    "destinationId": "<string>",
    "name": "<string>",
    "apiKey": "api key",
    "secret": "api secret"
  }
}
```

#### Other Responses

```
{
  "message": "<string>"
}
```

### Authorizations

**Authorization**

- **Type**: string (header)
- **Required**
- m3ter supports machine to machine authentication using the `clientCredentials` OAuth2 flow. The `authorizationCode` flow controls access for human users via the m3ter Console application.

### Path Parameters

- **orgId**: string (required): The unique identifier (UUID) of your Organization.
- **id**: string (required): The unique identifier (UUID) of the webhook destination.

### Query Parameters

- **active**: boolean - active status of the webhook

### Response

- **200**: Returns the WebhookDestinationRequest details.
